/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jcaprops.support;

import javax.management.ObjectName;

import org.jboss.mx.util.ObjectNameFactory;

/**
 * A PropertyTestResourceAdapterMBean.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.2.2.2 $
 */
public interface PropertyTestResourceAdapterMBean
{
   ObjectName NAME = ObjectNameFactory.create("jboss.test.jcaprops:name=PropertyTestResourceAdapter");
   
   String getStringRAR();
   void setStringRAR(String value);
   
   Boolean getBooleanRAR();
   void setBooleanRAR(Boolean value);
   
   Byte getByteRAR();
   void setByteRAR(Byte value);
   
   Character getCharacterRAR();
   void setCharacterRAR(Character value);
   
   Short getShortRAR();
   void setShortRAR(Short value);
   
   Integer getIntegerRAR();
   void setIntegerRAR(Integer value);
   
   Long getLongRAR();
   void setLongRAR(Long value);
   
   Float getFloatRAR();
   void setFloatRAR(Float value);
   
   Double getDoubleRAR();
   void setDoubleRAR(Double value);
}
